/*------------------------------------*\
    		$Version Mobile
\*------------------------------------*/
body{
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
	padding: 0px;
    margin: 0;
	background-color: #89ee95;
}

h1{
    display: flex;
    align-items: center;
    justify-content: center;
}

span {
	background-color: red;
}

#err1{
	display: flex;
	align-items: center; 
	justify-content: center;
	font-size: xx-large;
}

p{
    display: flex;
    align-items: center;
    justify-content: center;
}

a{
	transition: all 0.1s ease-in;
	text-decoration: none;
}

ul{
	list-style: none;
}

#searchform{
    display: flex;
    justify-content: center;
    align-items: center;
}

#bouton{
    margin-left: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* En-tête */

header{
	display: flex;
	justify-content: space-between;
	background-color: #007F0E;
}

header,
#navi{
	color: white;
	background-color: #007F0E;
	padding-bottom: 7px;
	border-bottom: solid 4px #89ee95;
}

#navi{
	padding-top: 7px;
	background-color: #007F0E;
}

header>h1>a{
	font-family: Arial, Helvetica, sans-serif;
	font-size: 20px;
	padding: 8px;
}

header>nav{
	margin-top: 8px;
}

header>nav>a{
	padding: 0px 13px;
	padding-top: 18px;
	padding-bottom: 8px;
}

header a,
#navi>a{
	color: white;
}

header a:hover,
#navi>a:hover{
	color: #006eff;
}

#navi{
	display: flex;
	flex-direction: column;
}

#navi>a{
	padding: 4px 10px;
	text-transform: uppercase;
	font-weight: bold;
}

/* Pied de page */

footer{
	background-color: black;
	color: white;
	border-bottom: solid 4px white;
}

footer section>h3,
footer section>p,
footer section>ul>li,
footer .credit{
	padding: 4px 10px;
}

footer section>h3{
	text-transform: uppercase;
	padding-top: 20px;
	padding-bottom: 8px;
}

footer a,
footer section>p,
footer .credit{
	color: #aaa;
}

footer a:hover{
	color: white;
}

footer .credit{
	padding: 20px 10px;
}

/*------------------------------------*\
    		$Version Tablette
\*------------------------------------*/

@media screen and (min-width: 481px) and (max-width: 960px) {
	#conteneur {
		display: grid;
		grid-template-columns: 1fr 2fr;
	}
	header, #navi, footer {
		grid-column: 1 / 3;
	}
	aside {
		grid-column: 1 / 2;
	}
	#articles {
		grid-column: 2 / 3;
	}

	#navi{
		display: flex;
		flex-direction: row;
		justify-content: space-evenly;
	}

    nav {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    nav ul {
        display: flex;
        list-style: none;
        padding: 20px;
    }
    
    nav ul li {
        margin: 0 15px;
    }

	.tri-collection>select{
		width: 100%;
	}

	#footer-inner{
		display: flex;
		flex-direction: row;
		justify-content: space-between;
	}
}

/*------------------------------------*\
    		$Version Desktop
\*------------------------------------*/

@media screen and (min-width: 961px) {
    h1{
        display: flex;
        justify-content: left;
    }

    p{
        display: flex;
        justify-content: left;
    }

	#conteneur{
		display: grid;
		grid-template-columns: 1fr 2fr 1fr;
	}
	header, footer{
		grid-column: 1 / 4;
	}
	#navi{
		flex: auto;
        align-items: center;
        justify-content: center;
	}
    nav {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    nav ul {
        display: flex;
        list-style: none;
        padding: 10px;
    }
    
    nav ul li {
        margin: 0 10px;
    }
    }
	#produits{
		grid-column: 2 / 3;
		grid-row: 2 / 3;
	}
	aside{
		grid-column: 3 / 4;
	}

	#produits>article{
		width: 33%;
	}

	.tri-collection>select{
		width: 100%;
	}

	#footer-inner{
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		width: 92%;
	}